## libsoundio 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.5)
project(libsoundio C CXX)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

if(CMAKE_VERSION VERSION_LESS 3.0.0)
    set(CMAKE_INSTALL_LIBDIR "lib" CACHE PATH "library install dir (lib)")
    set(CMAKE_INSTALL_INCLUDEDIR "include" CACHE PATH "header base install dir (include)")
    set(CMAKE_INSTALL_BINDIR "bin" CACHE PATH "user executables (bin)")
else()
    cmake_policy(SET CMP0042 NEW)
    cmake_policy(SET CMP0046 NEW)
    include(GNUInstallDirs)
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Debug" CACHE STRING
      "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()

set(LIBSOUNDIO_VERSION_MAJOR 1)
set(LIBSOUNDIO_VERSION_MINOR 0)
set(LIBSOUNDIO_VERSION_PATCH 2)
set(LIBSOUNDIO_VERSION "${LIBSOUNDIO_VERSION_MAJOR}.${LIBSOUNDIO_VERSION_MINOR}.${LIBSOUNDIO_VERSION_PATCH}")
message("Configuring libsoundio version ${LIBSOUNDIO_VERSION}")

option(BUILD_STATIC_LIBS "Build static libraries" ON)
option(BUILD_EXAMPLE_PROGRAMS "Build example programs" ON)
option(BUILD_TESTS "Build tests" ON)
option(ENABLE_JACK "Enable JACK backend" ON)
option(ENABLE_PULSEAUDIO "Enable PulseAudio backend" ON)
option(ENABLE_ALSA "Enable ALSA backend" ON)
option(ENABLE_COREAUDIO "Enable CoreAudio backend" ON)
option(ENABLE_WASAPI "Enable WASAPI backend" ON)

find_package(Threads)
if(Threads_FOUND)
    set(STATUS_THREADS "OK")
else(Threads_FOUND)
    set(STATUS_THREADS "not found")
endif(Threads_FOUND)

if(ENABLE_JACK)
    find_package(JACK)
    if(JACK_FOUND)
        set(STATUS_JACK "OK")
        set(SOUNDIO_HAVE_JACK true)
        include_directories(${JACK_INCLUDE_DIR})
    else()
        set(STATUS_JACK "not found")
        set(SOUNDIO_HAVE_JACK false)
        set(JACK_LIBRARY "")
    endif()
else()
    set(STATUS_JACK "disabled")
    set(SOUNDIO_HAVE_JACK false)
    set(JACK_LIBRARY "")
endif()

if(ENABLE_PULSEAUDIO)
    find_package(PulseAudio)
    if(PULSEAUDIO_FOUND)
        set(STATUS_PULSEAUDIO "OK")
        set(SOUNDIO_HAVE_PULSEAUDIO true)
        include_directories(${PULSEAUDIO_INCLUDE_DIR})
    else()
        set(STATUS_PULSEAUDIO "not found")
        set(SOUNDIO_HAVE_PULSEAUDIO false)
        set(PULSEAUDIO_LIBRARY "")
    endif()
else()
    set(STATUS_PULSEAUDIO "disabled")
    set(SOUNDIO_HAVE_PULSEAUDIO false)
    set(PULSEAUDIO_LIBRARY "")
endif()

if(ENABLE_ALSA)
    find_package(ALSA)
    if(ALSA_FOUND)
        set(STATUS_ALSA "OK")
        set(SOUNDIO_HAVE_ALSA true)
        include_directories(${ALSA_INCLUDE_DIRS})
    else()
        set(STATUS_ALSA "not found")
        set(SOUNDIO_HAVE_ALSA false)
        set(ALSA_LIBRARIES "")
    endif()
else()
    set(STATUS_ALSA "disabled")
    set(SOUNDIO_HAVE_ALSA false)
    set(ALSA_LIBRARIES "")
endif()

if(ENABLE_COREAUDIO)
    find_package(CoreAudio)
    if(COREAUDIO_FOUND)
        set(STATUS_COREAUDIO "OK")
        set(SOUNDIO_HAVE_COREAUDIO true)
        include_directories(${COREAUDIO_INCLUDE_DIR})

        find_path(COREFOUNDATION_INCLUDE_DIR NAMES CoreFoundation.h)
        find_library(COREFOUNDATION_LIBRARY NAMES CoreFoundation)
        include_directories(${COREFOUNDATION_INCLUDE_DIR})

        find_path(AUDIOUNIT_INCLUDE_DIR NAMES AudioUnit.h)
        find_library(AUDIOUNIT_LIBRARY NAMES AudioUnit)
        include_directories(${AUDIOUNIT_INCLUDE_DIR})
    else()
        set(STATUS_COREAUDIO "not found")
        set(SOUNDIO_HAVE_COREAUDIO false)
        set(COREAUDIO_LIBRARY "")
        set(COREFOUNDATION_LIBRARY "")
        set(AUDIOUNIT_LIBRARY "")
    endif()
else()
    set(STATUS_COREAUDIO "disabled")
    set(SOUNDIO_HAVE_COREAUDIO false)
    set(COREAUDIO_LIBRARY "")
    set(COREFOUNDATION_LIBRARY "")
    set(AUDIOUNIT_LIBRARY "")
endif()

if(ENABLE_WASAPI)
    find_package(WASAPI)
    if(WASAPI_FOUND)
        set(STATUS_WASAPI "OK")
        set(SOUNDIO_HAVE_WASAPI true)
    else()
        set(STATUS_WASAPI "not found")
        set(SOUNDIO_HAVE_WASAPI false)
    endif()
else()
    set(STATUS_WASAPI "disabled")
    set(SOUNDIO_HAVE_WASAPI false)
endif()


set(LIBSOUNDIO_SOURCES
    "${CMAKE_SOURCE_DIR}/src/soundio.cpp"
    "${CMAKE_SOURCE_DIR}/src/util.cpp"
    "${CMAKE_SOURCE_DIR}/src/os.cpp"
    "${CMAKE_SOURCE_DIR}/src/dummy.cpp"
    "${CMAKE_SOURCE_DIR}/src/channel_layout.cpp"
    "${CMAKE_SOURCE_DIR}/src/ring_buffer.cpp"
)

set(CONFIGURE_OUT_FILE "${CMAKE_BINARY_DIR}/config.h")
set(LIBSOUNDIO_HEADERS
    "${CMAKE_SOURCE_DIR}/soundio/soundio.h"
    ${CONFIGURE_OUT_FILE}
)

if(SOUNDIO_HAVE_JACK)
    set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
        "${CMAKE_SOURCE_DIR}/src/jack.cpp"
    )
endif()
if(SOUNDIO_HAVE_PULSEAUDIO)
    set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
        "${CMAKE_SOURCE_DIR}/src/pulseaudio.cpp"
    )
endif()
if(SOUNDIO_HAVE_ALSA)
    set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
        "${CMAKE_SOURCE_DIR}/src/alsa.cpp"
    )
endif()
if(SOUNDIO_HAVE_COREAUDIO)
    set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
        "${CMAKE_SOURCE_DIR}/src/coreaudio.cpp"
    )
endif()
if(SOUNDIO_HAVE_WASAPI)
    set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
        "${CMAKE_SOURCE_DIR}/src/wasapi.cpp"
    )
endif()

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    "${CMAKE_SOURCE_DIR}/test"
    "${CMAKE_SOURCE_DIR}/src"
)

set(LIBSOUNDIO_LIBS
    ${JACK_LIBRARY}
    ${PULSEAUDIO_LIBRARY}
    ${ALSA_LIBRARIES}
    ${COREAUDIO_LIBRARY}
    ${COREFOUNDATION_LIBRARY}
    ${AUDIOUNIT_LIBRARY}
    ${CMAKE_THREAD_LIBS_INIT}
)



# GTFO, -lstdc++ !!
set(CMAKE_CXX_IMPLICIT_LINK_LIBRARIES "")
set(CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES "")

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Werror -pedantic")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Werror -pedantic")


set(LIB_CFLAGS "-std=c++11 -fno-exceptions -fno-rtti -fvisibility=hidden -Wall -Werror=strict-prototypes -Werror=old-style-definition -Werror=missing-prototypes -Wno-c99-extensions")
set(EXAMPLE_CFLAGS "-std=c99 -Wall")
set(TEST_CFLAGS "${LIB_CFLAGS} -fprofile-arcs -ftest-coverage")
set(TEST_LDFLAGS "-fprofile-arcs -ftest-coverage")

include(TestBigEndian)
test_big_endian(IS_BIG_ENDIAN)
if(IS_BIG_ENDIAN)
    set(SOUNDIO_OS_BIG_ENDIAN true)
    set(SOUNDIO_OS_LITTLE_ENDIAN false)
else()
    set(SOUNDIO_OS_BIG_ENDIAN false)
    set(SOUNDIO_OS_LITTLE_ENDIAN true)
endif()
configure_file(
    "${CMAKE_SOURCE_DIR}/src/config.h.in"
    ${CONFIGURE_OUT_FILE}
)
set(DOXYGEN_CONF_FILE "${CMAKE_BINARY_DIR}/doxygen.conf")
configure_file(
    "${CMAKE_SOURCE_DIR}/doc/doxygen.conf.in"
    ${DOXYGEN_CONF_FILE}
)

add_library(libsoundio_shared SHARED ${LIBSOUNDIO_SOURCES})
set_target_properties(libsoundio_shared PROPERTIES
    OUTPUT_NAME soundio
    SOVERSION ${LIBSOUNDIO_VERSION_MAJOR}
    VERSION ${LIBSOUNDIO_VERSION}
    COMPILE_FLAGS ${LIB_CFLAGS}
    LINKER_LANGUAGE C
)
target_link_libraries(libsoundio_shared LINK_PUBLIC ${LIBSOUNDIO_LIBS})
install(TARGETS libsoundio_shared DESTINATION ${CMAKE_INSTALL_LIBDIR})


if(BUILD_STATIC_LIBS)
    add_library(libsoundio_static STATIC ${LIBSOUNDIO_SOURCES})
    set_target_properties(libsoundio_static PROPERTIES
        OUTPUT_NAME soundio
        COMPILE_FLAGS ${LIB_CFLAGS}
        LINKER_LANGUAGE C
    )
    install(TARGETS libsoundio_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

install(FILES
    ${LIBSOUNDIO_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/soundio")

# Example Programs

if(BUILD_EXAMPLE_PROGRAMS)
    add_executable(sio_sine example/sio_sine.c)
    set_target_properties(sio_sine PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${EXAMPLE_CFLAGS})
    target_link_libraries(sio_sine libsoundio_shared m)
    install(TARGETS sio_sine DESTINATION ${CMAKE_INSTALL_BINDIR})

    add_executable(sio_list_devices example/sio_list_devices.c)
    set_target_properties(sio_list_devices PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${EXAMPLE_CFLAGS})
    target_link_libraries(sio_list_devices libsoundio_shared)
    install(TARGETS sio_list_devices DESTINATION ${CMAKE_INSTALL_BINDIR})

    add_executable(sio_microphone example/sio_microphone.c)
    set_target_properties(sio_microphone PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${EXAMPLE_CFLAGS})
    target_link_libraries(sio_microphone libsoundio_shared)
    install(TARGETS sio_microphone DESTINATION ${CMAKE_INSTALL_BINDIR})

    add_executable(sio_record example/sio_record.c)
    set_target_properties(sio_record PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${EXAMPLE_CFLAGS})
    target_link_libraries(sio_record libsoundio_shared)
    install(TARGETS sio_record DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

if(BUILD_TESTS)
    add_executable(unit_tests "${CMAKE_SOURCE_DIR}/test/unit_tests.cpp" ${LIBSOUNDIO_SOURCES})
    target_link_libraries(unit_tests LINK_PUBLIC ${LIBSOUNDIO_LIBS})
    set_target_properties(unit_tests PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${TEST_CFLAGS}
        LINK_FLAGS ${TEST_LDFLAGS}
    )

    add_executable(latency "${CMAKE_SOURCE_DIR}/test/latency.cpp" ${LIBSOUNDIO_SOURCES})
    target_link_libraries(latency LINK_PUBLIC ${LIBSOUNDIO_LIBS} m)
    set_target_properties(latency PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${LIB_CFLAGS}
    )

    add_executable(underflow test/underflow.c)
    set_target_properties(underflow PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${EXAMPLE_CFLAGS})
    target_link_libraries(underflow libsoundio_shared m)

    add_executable(backend_disconnect_recover test/backend_disconnect_recover.c)
    set_target_properties(backend_disconnect_recover PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${EXAMPLE_CFLAGS})
    target_link_libraries(backend_disconnect_recover libsoundio_shared)

    add_executable(overflow test/overflow.c)
    set_target_properties(overflow PROPERTIES
        LINKER_LANGUAGE C
        COMPILE_FLAGS ${EXAMPLE_CFLAGS})
    target_link_libraries(overflow libsoundio_shared)



    add_custom_target(coverage
        DEPENDS unit_tests
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMAND lcov --directory . --zerocounters --rc lcov_branch_coverage=1
        COMMAND ./unit_tests
        COMMAND lcov --directory . --capture --output-file coverage.info --rc lcov_branch_coverage=1
        COMMAND lcov --remove coverage.info '/usr/*' --output-file coverage.info.cleaned --rc lcov_branch_coverage=1
        COMMAND genhtml -o coverage coverage.info.cleaned --rc lcov_branch_coverage=1
        COMMAND rm coverage.info coverage.info.cleaned
    )
endif()


add_custom_target(doc
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMAND doxygen ${DOXYGEN_CONF_FILE}
)



message("\n"
    "Installation Summary\n"
    "--------------------\n"
    "* Install Directory            : ${CMAKE_INSTALL_PREFIX}\n"
    "* Build Type                   : ${CMAKE_BUILD_TYPE}\n"
    "* Build static libs            : ${BUILD_STATIC_LIBS}\n"
    "* Build examples               : ${BUILD_EXAMPLE_PROGRAMS}\n"
    "* Build tests                  : ${BUILD_TESTS}\n"
)

message(
    "System Dependencies\n"
    "-------------------\n"
    "* threads                      : ${STATUS_THREADS}\n"
    "* JACK       (optional)        : ${STATUS_JACK}\n"
    "* PulseAudio (optional)        : ${STATUS_PULSEAUDIO}\n"
    "* ALSA       (optional)        : ${STATUS_ALSA}\n"
    "* CoreAudio  (optional)        : ${STATUS_COREAUDIO}\n"
    "* WASAPI     (optional)        : ${STATUS_WASAPI}\n"
)

=== debian/changelog ===
libsoundio (1.0.2-2) unstable; urgency=medium

  * QA upload.
  * Orphan package, set maintainer to qa group

 -- Felipe Sateler <fsateler@debian.org>  Sat, 29 Sep 2018 19:20:09 -0300

libsoundio (1.0.2-1) unstable; urgency=medium

  * Update to upstream version 1.0.2.
  * Add arch independent endian detection patch from upstream.
    (Closes: #799335)

 -- Andrew Kelley <superjoe30@gmail.com>  Thu, 24 Sep 2015 09:55:14 -0700

libsoundio (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #798735)

 -- Andrew Kelley <superjoe30@gmail.com>  Fri, 11 Sep 2015 22:29:01 -0700

=== debian/control ===
Source: libsoundio
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               doxygen,
               libasound2-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               pkg-config
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/multimedia-team/libsoundio
Vcs-Git: https://salsa.debian.org/multimedia-team/libsoundio.git
Homepage: http://libsound.io/

Package: libsoundio-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsoundio1 (= ${binary:Version}),
         ${misc:Depends}
Description: cross platform audio input and output library (development files)
 libsoundio is a lightweight abstraction over various sound drivers. It provides
 a well-documented API that operates consistently regardless of the sound driver
 it connects to. It performs no buffering or processing on your behalf; instead
 exposing the raw power of the underlying backend.
 .
 libsoundio is appropriate for games, music players, digital audio workstations,
 and various utilities.
 .
 libsoundio is serious about robustness. It even handles out of memory
 conditions correctly.
 .
 This package contains the development files.

Package: libsoundio1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: cross-platform audio input and output library
 libsoundio is a lightweight abstraction over various sound drivers. It provides
 a well-documented API that operates consistently regardless of the sound driver
 it connects to. It performs no buffering or processing on your behalf; instead
 exposing the raw power of the underlying backend.
 .
 libsoundio is appropriate for games, music players, digital audio workstations,
 and various utilities.
 .
 libsoundio is serious about robustness. It even handles out of memory
 conditions correctly.
 .
 This package contains the shared library.

Package: libsoundio-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libsoundio1 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libsoundio
 This package contains the debugging symbols for libsoundio1.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_strip:
	dh_strip --dbg-package=libsoundio-dbg

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## libsoundio 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 2.8.5)
-project(libsoundio C CXX)
+project(libsoundio C)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
 if(CMAKE_VERSION VERSION_LESS 3.0.0)
@@ -18,8 +18,8 @@
 endif()
 
 set(LIBSOUNDIO_VERSION_MAJOR 1)
-set(LIBSOUNDIO_VERSION_MINOR 0)
-set(LIBSOUNDIO_VERSION_PATCH 2)
+set(LIBSOUNDIO_VERSION_MINOR 1)
+set(LIBSOUNDIO_VERSION_PATCH 0)
 set(LIBSOUNDIO_VERSION "${LIBSOUNDIO_VERSION_MAJOR}.${LIBSOUNDIO_VERSION_MINOR}.${LIBSOUNDIO_VERSION_PATCH}")
 message("Configuring libsoundio version ${LIBSOUNDIO_VERSION}")
 
@@ -135,43 +135,43 @@
 
 
 set(LIBSOUNDIO_SOURCES
-    "${CMAKE_SOURCE_DIR}/src/soundio.cpp"
-    "${CMAKE_SOURCE_DIR}/src/util.cpp"
-    "${CMAKE_SOURCE_DIR}/src/os.cpp"
-    "${CMAKE_SOURCE_DIR}/src/dummy.cpp"
-    "${CMAKE_SOURCE_DIR}/src/channel_layout.cpp"
-    "${CMAKE_SOURCE_DIR}/src/ring_buffer.cpp"
+    "${CMAKE_SOURCE_DIR}/src/soundio.c"
+    "${CMAKE_SOURCE_DIR}/src/util.c"
+    "${CMAKE_SOURCE_DIR}/src/os.c"
+    "${CMAKE_SOURCE_DIR}/src/dummy.c"
+    "${CMAKE_SOURCE_DIR}/src/channel_layout.c"
+    "${CMAKE_SOURCE_DIR}/src/ring_buffer.c"
 )
 
 set(CONFIGURE_OUT_FILE "${CMAKE_BINARY_DIR}/config.h")
 set(LIBSOUNDIO_HEADERS
     "${CMAKE_SOURCE_DIR}/soundio/soundio.h"
-    ${CONFIGURE_OUT_FILE}
+    "${CMAKE_SOURCE_DIR}/soundio/endian.h"
 )
 
 if(SOUNDIO_HAVE_JACK)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/jack.cpp"
+        "${CMAKE_SOURCE_DIR}/src/jack.c"
     )
 endif()
 if(SOUNDIO_HAVE_PULSEAUDIO)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/pulseaudio.cpp"
+        "${CMAKE_SOURCE_DIR}/src/pulseaudio.c"
     )
 endif()
 if(SOUNDIO_HAVE_ALSA)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/alsa.cpp"
+        "${CMAKE_SOURCE_DIR}/src/alsa.c"
     )
 endif()
 if(SOUNDIO_HAVE_COREAUDIO)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/coreaudio.cpp"
+        "${CMAKE_SOURCE_DIR}/src/coreaudio.c"
     )
 endif()
 if(SOUNDIO_HAVE_WASAPI)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/wasapi.cpp"
+        "${CMAKE_SOURCE_DIR}/src/wasapi.c"
     )
 endif()
 
@@ -194,28 +194,14 @@
 
 
 
-# GTFO, -lstdc++ !!
-set(CMAKE_CXX_IMPLICIT_LINK_LIBRARIES "")
-set(CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES "")
-
 set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Werror -pedantic")
-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Werror -pedantic")
-
-
-set(LIB_CFLAGS "-std=c++11 -fno-exceptions -fno-rtti -fvisibility=hidden -Wall -Werror=strict-prototypes -Werror=old-style-definition -Werror=missing-prototypes -Wno-c99-extensions")
+
+
+set(LIB_CFLAGS "-std=c11 -fvisibility=hidden -Wall -Werror=strict-prototypes -Werror=old-style-definition -Werror=missing-prototypes -D_REENTRANT -D_POSIX_C_SOURCE=200809L")
 set(EXAMPLE_CFLAGS "-std=c99 -Wall")
 set(TEST_CFLAGS "${LIB_CFLAGS} -fprofile-arcs -ftest-coverage")
 set(TEST_LDFLAGS "-fprofile-arcs -ftest-coverage")
 
-include(TestBigEndian)
-test_big_endian(IS_BIG_ENDIAN)
-if(IS_BIG_ENDIAN)
-    set(SOUNDIO_OS_BIG_ENDIAN true)
-    set(SOUNDIO_OS_LITTLE_ENDIAN false)
-else()
-    set(SOUNDIO_OS_BIG_ENDIAN false)
-    set(SOUNDIO_OS_LITTLE_ENDIAN true)
-endif()
 configure_file(
     "${CMAKE_SOURCE_DIR}/src/config.h.in"
     ${CONFIGURE_OUT_FILE}
@@ -285,7 +271,7 @@
 endif()
 
 if(BUILD_TESTS)
-    add_executable(unit_tests "${CMAKE_SOURCE_DIR}/test/unit_tests.cpp" ${LIBSOUNDIO_SOURCES})
+    add_executable(unit_tests "${CMAKE_SOURCE_DIR}/test/unit_tests.c" ${LIBSOUNDIO_SOURCES})
     target_link_libraries(unit_tests LINK_PUBLIC ${LIBSOUNDIO_LIBS})
     set_target_properties(unit_tests PROPERTIES
         LINKER_LANGUAGE C
@@ -293,7 +279,7 @@
         LINK_FLAGS ${TEST_LDFLAGS}
     )
 
-    add_executable(latency "${CMAKE_SOURCE_DIR}/test/latency.cpp" ${LIBSOUNDIO_SOURCES})
+    add_executable(latency "${CMAKE_SOURCE_DIR}/test/latency.c" ${LIBSOUNDIO_SOURCES})
     target_link_libraries(latency LINK_PUBLIC ${LIBSOUNDIO_LIBS} m)
     set_target_properties(latency PROPERTIES
         LINKER_LANGUAGE C

=== debian/changelog ===
libsoundio (1.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Adrian Bunk <bunk@debian.org>  Wed, 20 Nov 2019 22:04:00 +0200

libsoundio (1.0.2-3) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Transition to automatic debug package (from: libsoundio-dbg).

  [ Sebastian Ramacher ]
  * debian/: Bump debhelper compat to 12.
  * debian/control:
    - Bump Standards-Version.
    - Remove obsolete Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 13:08:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                doxygen,
                libasound2-dev,
                libjack-jackd2-dev,
                libpulse-dev,
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsoundio
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsoundio.git
 Homepage: http://libsound.io/
@@ -39,7 +39,6 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: cross-platform audio input and output library
  libsoundio is a lightweight abstraction over various sound drivers. It provides
  a well-documented API that operates consistently regardless of the sound driver
@@ -53,12 +52,3 @@
  conditions correctly.
  .
  This package contains the shared library.
-
-Package: libsoundio-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libsoundio1 (= ${binary:Version}),
-         ${misc:Depends}
-Description: debugging symbols for libsoundio
- This package contains the debugging symbols for libsoundio1.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_strip:
-	dh_strip --dbg-package=libsoundio-dbg
+	dh_strip --dbgsym-migration='libsoundio-dbg (<< 1.0.2-3~)'
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libsoundio-$1.tar.gz/ \
 https://github.com/andrewrk/libsoundio/tags .*/archive/v?([\d\.]+).tar.gz

## libsoundio 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.8.5)
 project(libsoundio C)
-set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
+set(CMAKE_MODULE_PATH ${libsoundio_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
 if(CMAKE_VERSION VERSION_LESS 3.0.0)
     set(CMAKE_INSTALL_LIBDIR "lib" CACHE PATH "library install dir (lib)")
@@ -17,13 +17,18 @@
       "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
 endif()
 
-set(LIBSOUNDIO_VERSION_MAJOR 1)
-set(LIBSOUNDIO_VERSION_MINOR 1)
+set(LIBSOUNDIO_VERSION_MAJOR 2)
+set(LIBSOUNDIO_VERSION_MINOR 0)
 set(LIBSOUNDIO_VERSION_PATCH 0)
 set(LIBSOUNDIO_VERSION "${LIBSOUNDIO_VERSION_MAJOR}.${LIBSOUNDIO_VERSION_MINOR}.${LIBSOUNDIO_VERSION_PATCH}")
 message("Configuring libsoundio version ${LIBSOUNDIO_VERSION}")
 
+if(NOT SOUNDIO_STATIC_LIBNAME)
+    set(SOUNDIO_STATIC_LIBNAME soundio)
+endif()
+
 option(BUILD_STATIC_LIBS "Build static libraries" ON)
+option(BUILD_DYNAMIC_LIBS "Build dynamic libraries" ON)
 option(BUILD_EXAMPLE_PROGRAMS "Build example programs" ON)
 option(BUILD_TESTS "Build tests" ON)
 option(ENABLE_JACK "Enable JACK backend" ON)
@@ -135,51 +140,51 @@
 
 
 set(LIBSOUNDIO_SOURCES
-    "${CMAKE_SOURCE_DIR}/src/soundio.c"
-    "${CMAKE_SOURCE_DIR}/src/util.c"
-    "${CMAKE_SOURCE_DIR}/src/os.c"
-    "${CMAKE_SOURCE_DIR}/src/dummy.c"
-    "${CMAKE_SOURCE_DIR}/src/channel_layout.c"
-    "${CMAKE_SOURCE_DIR}/src/ring_buffer.c"
-)
-
-set(CONFIGURE_OUT_FILE "${CMAKE_BINARY_DIR}/config.h")
+    "${libsoundio_SOURCE_DIR}/src/soundio.c"
+    "${libsoundio_SOURCE_DIR}/src/util.c"
+    "${libsoundio_SOURCE_DIR}/src/os.c"
+    "${libsoundio_SOURCE_DIR}/src/dummy.c"
+    "${libsoundio_SOURCE_DIR}/src/channel_layout.c"
+    "${libsoundio_SOURCE_DIR}/src/ring_buffer.c"
+)
+
+set(CONFIGURE_OUT_FILE "${libsoundio_BINARY_DIR}/config.h")
 set(LIBSOUNDIO_HEADERS
-    "${CMAKE_SOURCE_DIR}/soundio/soundio.h"
-    "${CMAKE_SOURCE_DIR}/soundio/endian.h"
+    "${libsoundio_SOURCE_DIR}/soundio/soundio.h"
+    "${libsoundio_SOURCE_DIR}/soundio/endian.h"
 )
 
 if(SOUNDIO_HAVE_JACK)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/jack.c"
+        "${libsoundio_SOURCE_DIR}/src/jack.c"
     )
 endif()
 if(SOUNDIO_HAVE_PULSEAUDIO)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/pulseaudio.c"
+        "${libsoundio_SOURCE_DIR}/src/pulseaudio.c"
     )
 endif()
 if(SOUNDIO_HAVE_ALSA)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/alsa.c"
+        "${libsoundio_SOURCE_DIR}/src/alsa.c"
     )
 endif()
 if(SOUNDIO_HAVE_COREAUDIO)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/coreaudio.c"
+        "${libsoundio_SOURCE_DIR}/src/coreaudio.c"
     )
 endif()
 if(SOUNDIO_HAVE_WASAPI)
     set(LIBSOUNDIO_SOURCES ${LIBSOUNDIO_SOURCES}
-        "${CMAKE_SOURCE_DIR}/src/wasapi.c"
+        "${libsoundio_SOURCE_DIR}/src/wasapi.c"
     )
 endif()
 
 include_directories(
-    ${CMAKE_SOURCE_DIR}
-    ${CMAKE_BINARY_DIR}
-    "${CMAKE_SOURCE_DIR}/test"
-    "${CMAKE_SOURCE_DIR}/src"
+    ${libsoundio_SOURCE_DIR}
+    ${libsoundio_BINARY_DIR}
+    "${libsoundio_SOURCE_DIR}/test"
+    "${libsoundio_SOURCE_DIR}/src"
 )
 
 set(LIBSOUNDIO_LIBS
@@ -192,42 +197,49 @@
     ${CMAKE_THREAD_LIBS_INIT}
 )
 
-
-
-set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Werror -pedantic")
-
-
-set(LIB_CFLAGS "-std=c11 -fvisibility=hidden -Wall -Werror=strict-prototypes -Werror=old-style-definition -Werror=missing-prototypes -D_REENTRANT -D_POSIX_C_SOURCE=200809L")
-set(EXAMPLE_CFLAGS "-std=c99 -Wall")
-set(TEST_CFLAGS "${LIB_CFLAGS} -fprofile-arcs -ftest-coverage")
-set(TEST_LDFLAGS "-fprofile-arcs -ftest-coverage")
+if(MSVC)
+    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /Wall")
+    set(LIB_CFLAGS "/TP /W4")
+    set(EXAMPLE_CFLAGS "/W4")
+    set(TEST_CFLAGS "${LIB_CFLAGS}")
+    set(TEST_LDFLAGS " ")
+    set(LIBM " ")
+else()
+    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Werror -pedantic")
+    set(LIB_CFLAGS "-std=c11 -fvisibility=hidden -Wall -Werror=strict-prototypes -Werror=old-style-definition -Werror=missing-prototypes -D_REENTRANT -D_POSIX_C_SOURCE=200809L -Wno-missing-braces")
+    set(EXAMPLE_CFLAGS "-std=c99 -Wall")
+    set(TEST_CFLAGS "${LIB_CFLAGS} -fprofile-arcs -ftest-coverage")
+    set(TEST_LDFLAGS "-fprofile-arcs -ftest-coverage")
+    set(LIBM "m")
+endif()
 
 configure_file(
-    "${CMAKE_SOURCE_DIR}/src/config.h.in"
+    "${libsoundio_SOURCE_DIR}/src/config.h.in"
     ${CONFIGURE_OUT_FILE}
 )
-set(DOXYGEN_CONF_FILE "${CMAKE_BINARY_DIR}/doxygen.conf")
+set(DOXYGEN_CONF_FILE "${libsoundio_BINARY_DIR}/doxygen.conf")
 configure_file(
-    "${CMAKE_SOURCE_DIR}/doc/doxygen.conf.in"
+    "${libsoundio_SOURCE_DIR}/doc/doxygen.conf.in"
     ${DOXYGEN_CONF_FILE}
 )
 
-add_library(libsoundio_shared SHARED ${LIBSOUNDIO_SOURCES})
-set_target_properties(libsoundio_shared PROPERTIES
-    OUTPUT_NAME soundio
-    SOVERSION ${LIBSOUNDIO_VERSION_MAJOR}
-    VERSION ${LIBSOUNDIO_VERSION}
-    COMPILE_FLAGS ${LIB_CFLAGS}
-    LINKER_LANGUAGE C
-)
-target_link_libraries(libsoundio_shared LINK_PUBLIC ${LIBSOUNDIO_LIBS})
-install(TARGETS libsoundio_shared DESTINATION ${CMAKE_INSTALL_LIBDIR})
-
+if(BUILD_DYNAMIC_LIBS)
+    add_library(libsoundio_shared SHARED ${LIBSOUNDIO_SOURCES})
+    set_target_properties(libsoundio_shared PROPERTIES
+        OUTPUT_NAME soundio
+        SOVERSION ${LIBSOUNDIO_VERSION_MAJOR}
+        VERSION ${LIBSOUNDIO_VERSION}
+        COMPILE_FLAGS ${LIB_CFLAGS}
+        LINKER_LANGUAGE C
+    )
+    target_link_libraries(libsoundio_shared LINK_PUBLIC ${LIBSOUNDIO_LIBS})
+    install(TARGETS libsoundio_shared DESTINATION ${CMAKE_INSTALL_LIBDIR})
+endif()
 
 if(BUILD_STATIC_LIBS)
     add_library(libsoundio_static STATIC ${LIBSOUNDIO_SOURCES})
     set_target_properties(libsoundio_static PROPERTIES
-        OUTPUT_NAME soundio
+        OUTPUT_NAME ${SOUNDIO_STATIC_LIBNAME}
         COMPILE_FLAGS ${LIB_CFLAGS}
         LINKER_LANGUAGE C
     )
@@ -245,33 +257,49 @@
     set_target_properties(sio_sine PROPERTIES
         LINKER_LANGUAGE C
         COMPILE_FLAGS ${EXAMPLE_CFLAGS})
-    target_link_libraries(sio_sine libsoundio_shared m)
+    if(BUILD_DYNAMIC_LIBS)
+        target_link_libraries(sio_sine libsoundio_shared ${LIBM})
+    else()
+        target_link_libraries(sio_sine libsoundio_static ${LIBSOUNDIO_LIBS} ${LIBM})
+    endif()
     install(TARGETS sio_sine DESTINATION ${CMAKE_INSTALL_BINDIR})
 
     add_executable(sio_list_devices example/sio_list_devices.c)
     set_target_properties(sio_list_devices PROPERTIES
         LINKER_LANGUAGE C
         COMPILE_FLAGS ${EXAMPLE_CFLAGS})
-    target_link_libraries(sio_list_devices libsoundio_shared)
+    if(BUILD_DYNAMIC_LIBS)
+        target_link_libraries(sio_list_devices libsoundio_shared)
+    else()
+        target_link_libraries(sio_list_devices libsoundio_static ${LIBSOUNDIO_LIBS})
+    endif()
     install(TARGETS sio_list_devices DESTINATION ${CMAKE_INSTALL_BINDIR})
 
     add_executable(sio_microphone example/sio_microphone.c)
     set_target_properties(sio_microphone PROPERTIES
         LINKER_LANGUAGE C
         COMPILE_FLAGS ${EXAMPLE_CFLAGS})
-    target_link_libraries(sio_microphone libsoundio_shared)
+    if(BUILD_DYNAMIC_LIBS)
+        target_link_libraries(sio_microphone libsoundio_shared)
+    else()
+        target_link_libraries(sio_microphone libsoundio_static ${LIBSOUNDIO_LIBS})
+    endif()
     install(TARGETS sio_microphone DESTINATION ${CMAKE_INSTALL_BINDIR})
 
     add_executable(sio_record example/sio_record.c)
     set_target_properties(sio_record PROPERTIES
         LINKER_LANGUAGE C
         COMPILE_FLAGS ${EXAMPLE_CFLAGS})
-    target_link_libraries(sio_record libsoundio_shared)
+    if(BUILD_DYNAMIC_LIBS)
+        target_link_libraries(sio_record libsoundio_shared)
+    else()
+        target_link_libraries(sio_record libsoundio_static ${LIBSOUNDIO_LIBS})
+    endif()
     install(TARGETS sio_record DESTINATION ${CMAKE_INSTALL_BINDIR})
 endif()
 
 if(BUILD_TESTS)
-    add_executable(unit_tests "${CMAKE_SOURCE_DIR}/test/unit_tests.c" ${LIBSOUNDIO_SOURCES})
+    add_executable(unit_tests "${libsoundio_SOURCE_DIR}/test/unit_tests.c" ${LIBSOUNDIO_SOURCES})
     target_link_libraries(unit_tests LINK_PUBLIC ${LIBSOUNDIO_LIBS})
     set_target_properties(unit_tests PROPERTIES
         LINKER_LANGUAGE C
@@ -279,8 +307,8 @@
         LINK_FLAGS ${TEST_LDFLAGS}
     )
 
-    add_executable(latency "${CMAKE_SOURCE_DIR}/test/latency.c" ${LIBSOUNDIO_SOURCES})
-    target_link_libraries(latency LINK_PUBLIC ${LIBSOUNDIO_LIBS} m)
+    add_executable(latency "${libsoundio_SOURCE_DIR}/test/latency.c" ${LIBSOUNDIO_SOURCES})
+    target_link_libraries(latency LINK_PUBLIC ${LIBSOUNDIO_LIBS} ${LIBM})
     set_target_properties(latency PROPERTIES
         LINKER_LANGUAGE C
         COMPILE_FLAGS ${LIB_CFLAGS}
@@ -290,25 +318,37 @@
     set_target_properties(underflow PROPERTIES
         LINKER_LANGUAGE C
         COMPILE_FLAGS ${EXAMPLE_CFLAGS})
-    target_link_libraries(underflow libsoundio_shared m)
+    if(BUILD_DYNAMIC_LIBS)
+        target_link_libraries(underflow libsoundio_shared ${LIBM})
+    else()
+        target_link_libraries(underflow libsoundio_static ${LIBSOUNDIO_LIBS} ${LIBM})
+    endif()
 
     add_executable(backend_disconnect_recover test/backend_disconnect_recover.c)
     set_target_properties(backend_disconnect_recover PROPERTIES
         LINKER_LANGUAGE C
         COMPILE_FLAGS ${EXAMPLE_CFLAGS})
-    target_link_libraries(backend_disconnect_recover libsoundio_shared)
+    if(BUILD_DYNAMIC_LIBS)
+        target_link_libraries(backend_disconnect_recover libsoundio_shared)
+    else()
+        target_link_libraries(backend_disconnect_recover libsoundio_static ${LIBSOUNDIO_LIBS})
+    endif()
 
     add_executable(overflow test/overflow.c)
     set_target_properties(overflow PROPERTIES
         LINKER_LANGUAGE C
         COMPILE_FLAGS ${EXAMPLE_CFLAGS})
-    target_link_libraries(overflow libsoundio_shared)
+    if(BUILD_DYNAMIC_LIBS)
+        target_link_libraries(overflow libsoundio_shared)
+    else()
+        target_link_libraries(overflow libsoundio_static ${LIBSOUNDIO_LIBS})
+    endif()
 
 
 
     add_custom_target(coverage
         DEPENDS unit_tests
-        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+        WORKING_DIRECTORY ${libsoundio_BINARY_DIR}
         COMMAND lcov --directory . --zerocounters --rc lcov_branch_coverage=1
         COMMAND ./unit_tests
         COMMAND lcov --directory . --capture --output-file coverage.info --rc lcov_branch_coverage=1
@@ -320,7 +360,7 @@
 
 
 add_custom_target(doc
-    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+    WORKING_DIRECTORY ${libsoundio_BINARY_DIR}
     COMMAND doxygen ${DOXYGEN_CONF_FILE}
 )
 
@@ -329,20 +369,3 @@
 message("\n"
     "Installation Summary\n"
     "--------------------\n"
-    "* Install Directory            : ${CMAKE_INSTALL_PREFIX}\n"
-    "* Build Type                   : ${CMAKE_BUILD_TYPE}\n"
-    "* Build static libs            : ${BUILD_STATIC_LIBS}\n"
-    "* Build examples               : ${BUILD_EXAMPLE_PROGRAMS}\n"
-    "* Build tests                  : ${BUILD_TESTS}\n"
-)
-
-message(
-    "System Dependencies\n"
-    "-------------------\n"
-    "* threads                      : ${STATUS_THREADS}\n"
-    "* JACK       (optional)        : ${STATUS_JACK}\n"
-    "* PulseAudio (optional)        : ${STATUS_PULSEAUDIO}\n"
-    "* ALSA       (optional)        : ${STATUS_ALSA}\n"
-    "* CoreAudio  (optional)        : ${STATUS_COREAUDIO}\n"
-    "* WASAPI     (optional)        : ${STATUS_WASAPI}\n"
-)

=== debian/changelog ===
libsoundio (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Update build for CMake 4 (Closes: #1113202)
  * Update B-D on pkg-config to pkgconf
  * Update debian/watch to version 5
  * Add Build-Depends-Package: libsoundio-dev metadata to libsoundio2.symbols
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Sun, 19 Oct 2025 15:20:51 -0700

libsoundio (2.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Fri, 11 Mar 2022 11:16:01 +0100

libsoundio (2.0.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Fix watch file to see github tarballs.
  * New upstream version 2.0.0; bump soname to libsoundio2.
  * DH 13 and mark /usr/bin/sio_* as not-installed.
  * Drop dh_strip --dbgsym-migration code.
  * Add debian/gitlab-ci.yml.
  * Adopt package under the Debian Hamradio Team umbrella. (Closes: #909881)

 -- Christoph Berg <myon@debian.org>  Sun, 25 Apr 2021 23:39:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: libsoundio
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders:
+ Christoph Berg <myon@debian.org>,
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
-               doxygen,
-               libasound2-dev,
-               libjack-jackd2-dev,
-               libpulse-dev,
-               pkg-config
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/multimedia-team/libsoundio
-Vcs-Git: https://salsa.debian.org/multimedia-team/libsoundio.git
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ doxygen,
+ libasound2-dev,
+ libjack-jackd2-dev,
+ libpulse-dev,
+ pkgconf,
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/libsoundio
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/libsoundio.git
 Homepage: http://libsound.io/
 
 Package: libsoundio-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libsoundio1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends:
+ libsoundio2 (= ${binary:Version}),
+ ${misc:Depends},
 Description: cross platform audio input and output library (development files)
  libsoundio is a lightweight abstraction over various sound drivers. It provides
  a well-documented API that operates consistently regardless of the sound driver
@@ -34,11 +38,12 @@
  .
  This package contains the development files.
 
-Package: libsoundio1
+Package: libsoundio2
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: cross-platform audio input and output library
  libsoundio is a lightweight abstraction over various sound drivers. It provides
  a well-documented API that operates consistently regardless of the sound driver

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
Version: 5

Source: https://github.com/andrewrk/libsoundio/tags
Matching-Pattern: .*/v?([\d\.]+).tar.gz
Dversionmangle: s/\+(debian|dfsg|ds|deb)(\.\d+)?$//
Filenamemangle: s/.*\/v?([\d\.-]+)\.tar\.gz/libsoundio-$1.tar.gz/
